Pull to refresh

Критическая уязвимость во многих роутерах различных вендоров

Information Security *
Как сообщалось ранее, компания DefenseCode обнаружила уязвимость нулевого дня в роутерах Cisco Linksys. Представители компании оповестили вендора и взяли тайм-аут на пару недель перед раскрытием деталей уязвимости. Время вышло, некоторые подробности были раскрыты и оказалось, что не только Cisco Linksys уязвима.

Вот только часть вендоров, где присутствует уязвимость
  • Broadcom,
  • Asus
  • Cisco
  • TP-Link
  • Zyxel
  • D-Link
  • Netgear
  • US Robotics


Речь идёт о сразу нескольких уязвимостях, которые кроются в ряде реализаций протокола UPnP и SSDP (основанные на Intel/Portable UPnP SDK и MiniUPnP SDK):
Список CVE
  1. CVE-2012-5958
  2. CVE-2012-5959
  3. CVE-2012-5960
  4. CVE-2012-5961
  5. CVE-2012-5962
  6. CVE-2012-5963
  7. CVE-2012-5964
  8. CVE-2012-5965
  9. CVE-2013-0229
  10. CVE-2013-0230


Уязвимости позволяют вызвать отказ в обслуживании или выполнить произвольный код на устройстве без авторизации. А т.к. многие роутеры взаимодействуют с UPnP через WAN, это делает их уязвимыми не только к атаке из локальной сети, но и из удалённых сетей. Т.е. практически с любого компьютера Интернета. Уязвимыми могут оказаться не только роутеры, но вообще любое оборудование, использующее UPnP: принтеры, медиа-серверы, IP-камеры, NAS, smart TV и т.д. Т.е. речь идёт о миллионах устройств!

Компания rapid7 выпустила сканер для проверки своих устройств на наличие уязвимостей. Онлайн версия доступна здесь.



Мне повезло. А Вам?

Проверяется IP-адрес с которого пришёл пользователь. Т.е. ввести произвольный адрес для проверки не получится.
Оффлайн версию сканера уязвимости можно скачать по этой ссылке. Данный сканнер поддерживает только ОС Microsoft Windows. Пользователи Mac OS X и Linux могут использовать Metasploit для этой цели. Пример использования Metasploit:

$ msfconsole

msf>
msf > use auxiliary/scanner/upnp/ssdp_msearch
msf auxiliary(ssdp_msearch) > set RHOSTS 192.168.0.0/24
msf auxiliary(ssdp_msearch) > run


ответ будет примерно такой:

[*] 192.168.0.9:1900 SSDP Net-OS 5.xx UPnP/1.0 | 192.168.0.9:3278/etc/linuxigd/gatedesc.xml
[+] 192.168.0.254:1900 SSDP miniupnpd/1.0 UPnP/1.0 | vulns:2 (CVE-2013-0229, CVE-2013-0230)


На текущий момент известно, что TP-LINK выпустила бета-версию прошивки, которая закрывает уязвимость в оборудовании TD-W8960N. К концу февраля планируют выпустить официальную прошивку.

В качестве временной меры рекомендуется выключить поддержку UPnP на сетевом оборудовании.

Ссылки по теме:
1. Список устройств, где подтверждено наличие уязвимостей
2. Отчёт rapid7 об уязвимостях в UPnP
3. Отчёт DefenseCode об уязвимостях в UPnP

UPD: и сегодня же стало известно об Очередных уязвимостях нулевого дня в различных роутерах
Tags:
Hubs:
Total votes 66: ↑63 and ↓3 +60
Views 103K
Comments Comments 58